LTSP-REMOTEAPPS(8)

NAME
ltsp remoteapps - run applications on the LTSP server via ssh -X

SYNOPSIS
ltsp [ltsp-options] remoteapps application [parameters] ...
ltsp [ltsp-options] remoteapps [-r register] application ...

DESCRIPTION
Setup passwordless SSH, by ensuring that ~/.ssh/authorized_keys contains one of the public user's SSH keys. Then execute ssh -X server app params. If the user has no SSH keys, a new one is generated. For ltsp remoteapps app to work, /home/username should already be mounted via NFS (on LTSP client boot) or SSHFS (on LTSP user login).

OPTIONS
See the ltsp(8) man page for ltsp-options.

-r, --register
    Register the specified applications as remoteapps, by creating symlinks in /usr/local/bin/application for each one of them. Since /usr/local/bin usually comes before /usr/bin in $PATH, the remoteapps should be invoked even if the application is selected from the system menu.

EXAMPLES
The following ltsp.conf parameter can be used to register the MATE applications users-admin (Menu ▸ System ▸ Administration ▸ Users and Groups) and mate-about-me (Menu ▸ System ▸ Preferences ▸ Personal ▸ About Me) as remoteapps:

    [clients]
    REMOTEAPPS="users-admin mate-about-me"

That way, LTSP users are able to change their passwords or display names. The password change takes effect immediately, while for the new display name to appear in the LTSP client, the sysadmin must run ltsp initrd and the client needs to be rebooted.

COPYRIGHT
Copyright 2019-2022 the LTSP team, see AUTHORS.

SEE ALSO
ltsp(8), ltsp.conf(5), ltsp-dnsmasq(8), ltsp-image(8), ltsp-info(8), ltsp-initrd(8), ltsp-ipxe(8), ltsp-kernel(8), ltsp-nfs(8)

Online documentation is available on https://ltsp.org